incubator-flex-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Alex Harui <aha...@adobe.com>
Subject Re: Maven and Flex 4.6
Date Fri, 09 Mar 2012 20:07:44 GMT



On 3/9/12 11:56 AM, "James Cowan" <jamesmcowan@googlemail.com> wrote:


> 
> The license is GPL on the flexmojos site.
> 
That will probably make things even more difficult.

The basic state of the world is that Adobe is not going to provide Maven
support for Adobe versions of Flex.

Apache Flex is supposed to create a release of Flex that is compatible with
Adobe Flex 4.6 and then make improvements from there.  Lots of folks in
Apache Flex are planning to make the Apache Flex releases work with Maven.
I'm still hoping the 4.6 parity release will happen in the March although I
imagine the Maven work will take much longer.

Whether we somehow get FlexMojos donated to Apache (which I doubt) or create
or own integration from scratch, the goal is to figure out what it takes to
make Apache Flex releases work with Maven.  Should it really be a lot of
code to make it work?

There doesn't seem to be enough folks who want to use Maven to build the
Flex SDK so I don't see that happening.  Ant will be the official way to
build the SDK in the near future.


-- 
Alex Harui
Flex SDK Team
Adobe Systems, Inc.
http://blogs.adobe.com/aharui


Mime
View raw message